---
type: api
title: Get regions
description: Retrieve the available cloud service provider regions where a project can be created.
url: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/cloud-serverless/operation/operation-listregions
resource: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/cloud-serverless/operation/operation-listregions
products:
  - Elastic Cloud Serverless
---

# Get regions

Authentication: required

- Server: `https://api.elastic-cloud.com`

## Paths

- `GET` `/api/v1/serverless/regions`

## Description

Retrieve the available cloud service provider regions where a project can be created.

## Responses

#### `200`

The regions list

`application/json`

Type: `object[]`

An array; each item has these fields:

- `id` (string)
  Unique human-readable identifier for a region in Elastic Cloud.
- `name` (string)
  The human readable name for the region
- `csp` (enum)
  The identifier of the cloud service provider hosting this region.
  Values: `aws`, `gcp`, `azure`
- `csp_region` (string)
  The unique identifier of the underlying cloud service provider region.
- `country_code` (string)
  ISO 3166-1 alpha-2 country code which this region is associated with
- `project_creation_enabled` (boolean)
  Specifies whether the region is available for project creation
#### `401`

Unauthorized

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code examples

#### curl

```curl
curl -X GET "https://api.elastic-cloud.com/api/v1/serverless/regions" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
[
  {
    "id": "aws-us-east-1",
    "name": "US (Virginia)",
    "csp": "aws",
    "csp_region": "us-east-1",
    "country_code": "US",
    "project_creation_enabled": false
  }
]
```

#### 401

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
```

